Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class Authentication

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.AbstractAccountState
                        |
                        +--org.jbrain.qlink.state.Authentication

All Implemented Interfaces:
  QState

public class Authentication
extends AbstractAccountState

Field Summary
`static int` | `PHASE_DIALOGCLOSING`
`static int` | `PHASE_LOGIN`
`static int` | `PHASE_SETUPNAME`
`static int` | `PHASE_UPDATECODE`

Fields inherited from class org.jbrain.qlink.state.AbstractAccountState
`_sSecurityCode`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`Authentication(QSession session)`

Method Summary
`boolean` | `execute(Action a)`
`protected void` | `validateUser()`

Methods inherited from class org.jbrain.qlink.state.AbstractAccountState
`addPrimaryAccount, addScreenName, getNewCode, updateCode, validateNewAccount`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`activate, checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_LOGIN

    public static final int PHASE_LOGIN

See Also:
  Constant Field Values

### PHASE_SETUPNAME

    public static final int PHASE_SETUPNAME

See Also:
  Constant Field Values

### PHASE_DIALOGCLOSING

    public static final int PHASE_DIALOGCLOSING

See Also:
  Constant Field Values

### PHASE_UPDATECODE

    public static final int PHASE_UPDATECODE

See Also:
  Constant Field Values

Constructor Detail

### Authentication

    public Authentication(QSession session)

Method Detail

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

### validateUser

    protected void validateUser()
                         throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD